Bug 1545500 (CVE-2017-18187)

Summary: CVE-2017-18187 mbedtls: Bounds-check bypass via integer overflow in ssl_srv.c:ssl_parse_client_psk_identity()
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: mstevens, redhat-bugzilla
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mbedtls 2.7.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:40:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1544729, 1544730    
Bug Blocks:    

Description Sam Fowler 2018-02-15 04:55:42 UTC
In ARM mbed TLS before 2.7.0, there is a bounds-check bypass through an integer overflow in PSK identity parsing in the ssl_parse_client_psk_identity() function in library/ssl_srv.c.


Upstream Patch:

https://github.com/ARMmbed/mbedtls/commit/83c9f495ffe70c7dd280b41fdfd4881485a3bc28

Comment 1 Sam Fowler 2018-02-15 04:58:42 UTC
Created mbedtls tracking bugs for this issue:

Affects: epel-all [bug 1544730]
Affects: fedora-all [bug 1544729]

Comment 2 Product Security DevOps Team 2019-06-08 03:40:05 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.